@echo off
REM
REM This copies the gina into the system dir of a computer.
REM
REM You must provide a pathname of the directory
REM

REM must provide pathname to systemroot
if ""=="%1" goto Usage

REM 
if NOT exist "%1\system.ini" goto WrongDir

REM COPY:
echo.
echo Deleting old backup file of LauncherGina! If you receive an error from
echo the deletion do not worry about it as you might not have had a previous gina
echo or the backup gina is the current gina, which cannot be deleted (see readme)!
echo.
del /f %1\system32\LauncherGina.dll.old
echo.
echo -------------------------------------------------------------------------------
echo Moving current LauncherGina to backup! If you receive an error from the move
echo do not worry as you might not have had a gina or backup is current (see above)!
echo.
move %1\system32\LauncherGina.dll %1\system32\LauncherGina.dll.old
echo.
echo --------------------------------------------------------------------
echo Copying New Gina into %1\system32
echo.
copy .\LauncherGina.dll %1\system32\LauncherGina.dll
echo.
echo.
echo All done.
echo.
goto end

:Usage
echo.
echo Usage:
echo %0 SYSTEMROOT
echo.
echo where SYSTEMROOT is the directory of the system, example
echo  d:\winnt
echo if your system is on D drive, OR
echo \\SomeComputerName\d$\winnt
echo if you are installing to a remote computer!
echo.
goto end

:WrongDir
echo.
echo The path: %1 does not contain a file called "system.ini"!
echo If you are sure that is is the correct path create a file (empty) 
echo called "system.ini" in that directory and try again.
echo.
goto end

:end
