@echo off
REM
REM This uses the REG.EXE from the NTRESKIT to remove the LAUNCHER values from the registry!
REM

if ""=="%1" goto Usage
if NOT exist %NTRESKIT%\reg.exe goto NTRESKITREQUIRED
if NOT exist %NTRESKIT%\choice.exe goto NTRESKITREQUIRED

Set RemoveLauncherValues=\\%1
if "%1"=="local" Set RemoveLauncherValues=

REM ask the user:
echo.
echo.
echo This will remove all registry entries for Launcher on %1!
echo 
choice "Do you want to continue? "
if errorlevel 2 goto end
if errorlevel 1 goto DoIt
if errorlevel 0 goto end
goto end

REM do it
:DoIt

%NTRESKIT%\reg.exe DELETE "HKEY_LOCAL_MACHINE\software\usercommandlauncher" %RemoveLauncherValues% /f
goto end

:Usage
echo.
echo Usage:
echo %0 COMPUTERNAME
echo.
echo where COMPUTERNAME is the name of the (remote) machine!
echo If you want to delete the LauncherValues on the local machine
echo specify "local" as machine name.
echo.
echo This util deletes the values for the Launcher from the registry
echo using the NTRESKIT util REG.EXE.
echo.
goto end

:NTRESKITREQUIRED
echo.
echo NT ResouceKit required!
echo There has been a problem executing REG.EXE or CHOICE.EXE!
echo This could be due to:
echo   Could not find: REG.EXE
echo   Could not find: CHOICE.EXE
echo   Could not use enivornmental variable: NTRESKIT
echo   Could not find program: PATH_TO_NTRESKIT\REG.EXE
echo   Could not find program: PATH_TO_NTRESKIT\CHOICE.EXE
echo.
goto end

:end
